Skip to main content
`Ctrl`+`K`

# BVRestoreMat

Restores the Mat obtained with `BVGetMat()`.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVRestoreMat(BV bv,Mat *A)

Logically Collective

## Input Parameters

- bv - the basis vectors context

- A - the fetched matrix

## Note

A call to this function must match a previous call of `BVGetMat()`. The effect is that the contents of the `Mat` are copied back to the `BV` internal data structures.

## See Also

BV: Basis Vectors, `BVGetMat()`, `BVRestoreArray()`

## Level

advanced

## Location

src/sys/classes/bv/interface/bvbasic.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages